Public Class cCallData

    Public m_nCallId As Integer
    Public m_nSessionId As Integer
    Public m_bConnected As Boolean
    Public m_bStealthListening As Boolean

    Public m_unQueueId As UInteger
    Public m_unUserId As UInteger

    Public m_nCallType As Integer
    Public m_sCallerId As String
    Public m_sUserId As String

    Public m_sDigitPRESS As String
    Public m_nDigitPRESS As Integer
    Public m_bDigitDetect As Boolean

    Public m_unStealthId As UInteger
    Public m_sStealthDialNo As String

    Public m_sCodec As String
    Public m_objBindCallData As cCallData

    Public m_nPlayWaveType As Integer

    Public Sub New()

        m_nCallId = -1

        m_nSessionId = -1
        m_unUserId = 0
        m_nCallType = 0
        m_unQueueId = 0
        m_nDigitPRESS = 0
        m_unStealthId = 0

        m_objBindCallData = Nothing
        m_bDigitDetect = False

        m_bConnected = False
        m_bStealthListening = False

        m_nPlayWaveType = cServerSIP.PLAY_WAVE_NONE_TYPE

    End Sub


End Class

Public Class cCallList

    Dim m_objCallList As New Hashtable(256)

    Public Function AddCall(ByVal nCallId As Integer) As cCallData

        Dim objCallData As New cCallData
        objCallData.m_nCallId = nCallId

        m_objCallList.Add(nCallId, objCallData)

        AddCall = objCallData

    End Function

    Public Sub RemoveCall(ByRef objCallData As cCallData)

        m_objCallList.Remove(objCallData.m_nCallId)
        objCallData = Nothing

    End Sub

    Public Function FindCall(ByVal nCallId As Integer) As cCallData
        FindCall = m_objCallList.Item(nCallId)
    End Function

    Public Sub DeleteAll()

        Dim objCloseCallList As New ArrayList
        Dim enumerator As IDictionaryEnumerator = m_objCallList.GetEnumerator()

        While enumerator.MoveNext()
            objCloseCallList.Add(enumerator.Value)
        End While

        Dim nCount As Integer
        For nCount = 0 To objCloseCallList.Count - 1
            cServerSIP.m_objServerSIP.CloseCall(objCloseCallList.Item(nCount))
        Next

    End Sub

    Public Function GetCount() As Integer
        GetCount = m_objCallList.Count
    End Function

End Class
