#if !defined(AFX_TELNETCLIENT_H__0D4B27DB_E396_4A2F_9312_3479C795EF6E__INCLUDED_)
#define AFX_TELNETCLIENT_H__0D4B27DB_E396_4A2F_9312_3479C795EF6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TelnetClient.h : header file
//

class CTelnetRequest;

/////////////////////////////////////////////////////////////////////////////
// CTelnetClient command target

class CTelnetClient : public CAsyncSocket
{
// Attributes
public:

// Operations
public:

	CTelnetClient();
	virtual ~CTelnetClient();

private:

	CTelnetRequest* m_pTelnetRequest;

public:

	void OnAuthrization(LPCTSTR sData);
	
	void OnSuccessToAuth();
	void OnFailToAuth();

	void OnConnected();
	void OnRequest(LPCTSTR sCommand, CStringList* pParamList);
	
	void SendText(LPCTSTR sText);
	void SendCommand(LPCTSTR sCommand, CStringList* pParamList);
		
public:

	POSITION m_posList;
	int m_nAuthStep;
		
	CString m_sLoginTelnet;

// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTelnetClient)
	public:
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CTelnetClient)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TELNETCLIENT_H__0D4B27DB_E396_4A2F_9312_3479C795EF6E__INCLUDED_)
