// VaxTeleServerSIP.cpp: implementation of the CVaxTeleServerSIP class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "VaxTeleServerSIP.h"
#include "TelnetServer.h"
#include "ServerSIP.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CVaxTeleServerSIP::CVaxTeleServerSIP()
{
	m_pTelnetServer = NULL;
	m_pServerSIP = NULL;
}

CVaxTeleServerSIP::~CVaxTeleServerSIP()
{

}

void CVaxTeleServerSIP::StartServer()
{
	StopServer();

	m_pTelnetServer = new CTelnetServer;
	
	if(!m_pTelnetServer->StartServer())
		return;
	
	m_pServerSIP = new CServerSIP;
	m_pServerSIP->StartServerSIP();
}

void CVaxTeleServerSIP::StopServer()
{
	if(m_pTelnetServer)
		m_pTelnetServer->StopServer();
	
	::Sleep(500);

	if(m_pServerSIP)
		m_pServerSIP->StopServerSIP();

	
	delete m_pServerSIP;
	delete m_pTelnetServer;

	m_pServerSIP = NULL;
	m_pTelnetServer = NULL;
}
