using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VaxTeleConfigSIP
{
    public partial class ErrorLogForm : Form
    {
        public ErrorLogForm()
        {
            InitializeComponent();
        }

        public void OnTelnetCommand(string sCommand, ref ArrayList objParamList)
        {
            if(String.Compare(sCommand, "ErrorLog", true) == 0 && objParamList.Count == 1)
            {
                ListError.Items.Add(objParamList[0]);

                string sCaption = "Error log (" + Convert.ToString(ListError.Items.Count) + ")";
                MainForm.m_objMainForm.SetPageTitle(sCaption, 5);
            }
        }

        private void BtnClear_Click(object sender, EventArgs e)
        {
            ListError.Items.Clear();
            MainForm.m_objMainForm.SetPageTitle("Error log (0)", 5);
        }
    }
}