#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Text;

ref class cTelnetClient;

public ref class cTelnetCmd
{
public:
	cTelnetCmd(void);

public:

	void ShowUsers(cTelnetClient^ objTelnetClient);
	void UserInfo(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void AddUser(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void RemoveUser(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void ShowQueues(cTelnetClient^ objTelnetClient);
	void QueueInfo(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void AddQueue(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void RemoveQueue(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void ShowLines(cTelnetClient^ objTelnetClient);
	void LineInfo(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void AddLine(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void RemoveLine(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void ShowDialPlans(cTelnetClient^ objTelnetClient);
	void DialPlanInfo(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void AddDialPlan(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void RemoveDialPlan(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void SetStealthMusic(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void GetStealthMusic(cTelnetClient^ objTelnetClient);
	void SetHoldMusic(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void GetHoldMusic(cTelnetClient^ objTelnetClient);
	void SetDialToneMusic(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void GetDialToneMusic(cTelnetClient^ objTelnetClient);
	void GetCOMM(cTelnetClient^ objTelnetClient);
	void SetCOMM(ArrayList^ objParamList, cTelnetClient^ objTelnetClient);
	void StartServer(cTelnetClient^ objTelnetClient);
	void StopServer(cTelnetClient^ objTelnetClient);
	void InvalidCommand(cTelnetClient^ objTelnetClient);
	void ParseToList(String^ sInputStr, ArrayList^% objOutputList);
	void PrepareToStr(ArrayList^ objInputList, String^% sOutputStr);


};
