#if !defined(AFX_ADDLINEDLG_H__B2158D56_A86E_43F9_8140_DE28D08E7535__INCLUDED_)
#define AFX_ADDLINEDLG_H__B2158D56_A86E_43F9_8140_DE28D08E7535__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddLineDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddLineDlg dialog

class CAddLineDlg : public CPropertyPage
{
// Construction
public:

	CAddLineDlg();   // standard constructor

	void OnTelnetCommand(LPCTSTR sCommand, CStringList* pParamList);
	
	void UpdateIncomingCallSection(int nInCallType, LPCTSTR sInCallTo);
	void UpdateDlgContent(LPCTSTR sLineName, LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sRealm, LPCTSTR sProxy, LPCTSTR sOutboundProxy, CString objCodecList, LPCTSTR sRegister, LPCTSTR sInCallType, LPCTSTR sInCallTo);

	void ClearDlgContent();

	BOOL AddLineChecks(CString& sInCallTo);
	//BOOL m_bReLoadLines;

// Dialog Data
	//{{AFX_DATA(CAddLineDlg)
	enum { IDD = IDD_DIALOG_ADD_LINE };
	CComboBox	m_ctrlComboConnectToLogin;
	CComboBox	m_ctrlComboLine;
	CListBox	m_ctrlDisableCodecList;
	CListBox	m_ctrlEnableCodecList;
	CComboBox	m_ctrlComboPutInQueue;
	CString	m_sLineDisplayName;
	CString	m_sLineUserName;
	CString	m_sLineAuthUser;
	CString	m_sLinePassword;
	CString	m_sLineRealm;
	CString	m_sLineProxy;
	CString	m_sLineOutboundProxy;
	BOOL	m_bStartupReg;
	CString	m_sLineName;
	int		m_nRadioCtrlInboundCall;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddLineDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddLineDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboLine();
	afx_msg void OnButtonClearLineDlg();
	afx_msg void OnButtonLineDisableCodec();
	afx_msg void OnButtonLineEnableCodec();
	afx_msg void OnButtonLineAdd();
	afx_msg void OnButtonLineRemove();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDLINEDLG_H__B2158D56_A86E_43F9_8140_DE28D08E7535__INCLUDED_)
