// DialPlanList.h: interface for the CDialPlanList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIALPLANLIST_H__F3D6A404_36CF_474F_902B_F849F10954B0__INCLUDED_)
#define AFX_DIALPLANLIST_H__F3D6A404_36CF_474F_902B_F849F10954B0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CVaxTeleServerSIP;

class CDialPlanData
{

public:

	CDialPlanData(){m_nUserPrefixSize = 0;}
		
public:

	int m_nUserPrefixSize;
	CString m_sUserPrefix;
	CString m_sLineName;
	CString m_sCallPrefix;

};

class CDialPlanList  
{

public:

	CDialPlanList();
	~CDialPlanList();

private:

	int m_nDialPlanCount;
	CDialPlanData* m_pDialPlanList;

public:

	void UnLoadDialPlans();
	void LoadDialPlans();

	void ReLoadDialPlans();

	int SearchDialPlan(CString sCallTo);
	CString ApplyDialPlan(int nDialPlanIndex, CString sCallTo, CString& sLineName);
};

#endif // !defined(AFX_DIALPLANLIST_H__F3D6A404_36CF_474F_902B_F849F10954B0__INCLUDED_)
